package com.studio.nx.framework.dto.req;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import java.io.Serializable;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/14 23:58
 */
@ApiModel(value = "BaseRequest", description = "请求协议")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BaseRequest<T> implements Serializable {

    private static final long serialVersionUID = -992717648810995148L;

    @ApiModelProperty(value = "API请求序列，有调用方发起的一个字符串", notes = "API请求序列，有调用方发起的一个字符串", example = "", required = false, hidden = false)
    private String seq;

    @ApiModelProperty(value = "API调用的token", notes = "API调用的token", example = "", required = false, hidden = false)
    private String token;

    @ApiModelProperty(value = "API调用的业务参数", notes = "API调用的业务参数", required = false, hidden = false)
    @Valid
    private T data;

}
