package com.studio.nx.framework.dto.resp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/14 23:58
 */
@ApiModel(value = "BasePageResponse", description = "分页响应")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BasePageResponse<T> {

    private static final long serialVersionUID = -6286877789934480026L;

    @ApiModelProperty(value = "总数量", notes = "总数量", required = false, hidden = false)
    private Long total;

    @ApiModelProperty(value = "主要业务数据体", notes = "主要业务数据体", required = false, hidden = false)
    private T data;

}
