package com.studio.nx.framework.dto;

import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("日志dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OperationLogDto extends BaseEntity {

    @ApiModelProperty("操作用户")
    private String username;

    @ApiModelProperty("日志类型")
    private String type;

    @ApiModelProperty("操作ip")
    private String ip;

    @ApiModelProperty("操作ip地址")
    private String ipAddress;

    @ApiModelProperty("操作系统")
    private String os;

    @ApiModelProperty("浏览器")
    private String browser;

    @ApiModelProperty("浏览器版本号")
    private String browserVersion;

    @ApiModelProperty("请求地址")
    private String requestUrl;

    @ApiModelProperty("类路径")
    private String className;

    @ApiModelProperty("方法名")
    private String method;

    @ApiModelProperty("请求参数")
    private String request;

    @ApiModelProperty("请求耗时")
    private Long time;

    @ApiModelProperty("异常详细")
    private String exceptionDetail;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("来源（1后端、2前端）")
    private String logFrom;

}
