package com.studio.nx.framework.util;

import eu.bitwalker.useragentutils.UserAgent;

import javax.servlet.http.HttpServletRequest;
import java.util.Optional;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/2/3 10:13
 */
public class UserAgentUtil {

    public static String getBrowserName(HttpServletRequest request) {
        UserAgent userAgent = UserAgent.parseUserAgentString(request.getHeader("User-Agent"));
        if (Optional.ofNullable(userAgent).isPresent() && Optional.ofNullable(userAgent.getBrowser()).isPresent()) {
            return userAgent.getBrowser().getName();
        }
        return "";
    }

    public static String getBrowserVersion(HttpServletRequest request) {
        UserAgent userAgent = UserAgent.parseUserAgentString(request.getHeader("User-Agent"));
        if (Optional.ofNullable(userAgent).isPresent() && Optional.ofNullable(userAgent.getBrowser()).isPresent() && Optional.ofNullable(userAgent.getBrowserVersion()).isPresent()) {
            return userAgent.getBrowserVersion().getVersion();
        }
        return "";
    }

    public static String getOperatingSystem(HttpServletRequest request) {
        UserAgent userAgent = UserAgent.parseUserAgentString(request.getHeader("User-Agent"));
        if (Optional.ofNullable(userAgent).isPresent() && Optional.ofNullable(userAgent.getOperatingSystem()).isPresent()) {
            return userAgent.getOperatingSystem().getName();
        }
        return "";
    }

}
