package com.studio.nx.uiac.controller;

import com.studio.nx.framework.dto.req.BasePageRequest;
import com.studio.nx.framework.dto.resp.BasePageResponse;
import com.studio.nx.framework.dto.resp.BaseResponse;
import com.studio.nx.uiac.controller.search.OnlineSearchDto;
import com.studio.nx.uiac.dto.AccountDto;
import com.studio.nx.uiac.service.OnlineAccountService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

@Api(tags = "在线用户")
@Slf4j
@RestController("OnlineAccountController")
@RequestMapping("/framework/uiac/online")
public class OnlineAccountController {

    @Autowired
    private OnlineAccountService service;

    @ApiOperation(value = "查询[在线用户]列表")
    @PostMapping("/page")
    public ResponseEntity<BaseResponse<BasePageResponse<AccountDto>>> page(@Valid @RequestBody BasePageRequest<OnlineSearchDto> request) {
        return ResponseEntity.ok(BaseResponse.ok(service.page(request.getData(), request.getPage() + 1, request.getLimit())));
    }

    @ApiOperation(value = "踢[在线用户]下线")
    @DeleteMapping("/kill/{id:\\d+}")
    public ResponseEntity<BaseResponse<?>> kickOffLine(@Valid @ApiParam("标识") @PathVariable String id) {
        service.kickOffLine(id);
        return ResponseEntity.ok(BaseResponse.ok());
    }

}
