package com.studio.nx.uiac.controller.request.account;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/30 15:05
 */
@ApiModel(value = "AccountRelationDeptSave", description = "账号 关联 部门")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountRelationDeptSave {

    @ApiModelProperty(value = "账号id", example = "")
    @NotEmpty(message = "账号id不能为空")
    private String accountId;

    @ApiModelProperty(value = "部门id集合", example = "")
    @NotNull(message = "部门id集合不能为空")
    private List<String> deptIdList;

}
