package com.studio.nx.uiac.controller.request.account;

import com.studio.nx.uiac.constant.AccountConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/30 11:12
 */
@ApiModel(value = "AccountSaveOrUpdateRequest", description = "新增/编辑 账号")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountSaveRequest {

    @ApiModelProperty(value = "账号id", example = "")
    private String id;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty("头像图片URL")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    private Integer gender;

    @ApiModelProperty("注册类型")
    @NotEmpty(message = "注册类型不能为空")
    private AccountConstant.SignInType signInType;

    @ApiModelProperty("标识（手机号 邮箱 用户名或第三方应用的唯一标识）")
    private String identifier;

    @ApiModelProperty("凭证（站内的保存密码，站外的不保存或保存token）")
    private String credential;

}
