package com.studio.nx.uiac.controller.request.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MobileNumberSmsCodeRequest {

    @ApiModelProperty("唯一标识")
    @NotBlank(message = "请输入唯一标识")
    private String uuid;

    @ApiModelProperty("图片验证码")
    @NotBlank(message = "请输入验证码")
    private String code;

    @ApiModelProperty("手机号码")
    @Pattern(regexp = "^\\d{11}$", message = "请输入11位手机号码")
    @NotBlank
    private String mobileNumber;

}
