package com.studio.nx.uiac.controller.request.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MobileNumberSmsSignUpRequest {

    @ApiModelProperty("手机号码")
    @NotEmpty(message = "手机号码为必填")
    private String mobileNumber;

    @ApiModelProperty("短信验证码")
    @NotEmpty(message = "短信验证码为必填")
    private String smsCode;

    @ApiModelProperty("邀请码（非必填）")
    private String invitationCode;

    @ApiModelProperty("账号标识（非必填）")
    private String accountId;

}
