package com.studio.nx.uiac.controller.request.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class Oauth2WeixinRequest {

    @ApiModelProperty("code")
    @NotEmpty
    private String code;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("绑定类型（0：移动应用、 1：网站应用、 2：公众帐号、 3：微信小程序）")
    @NotNull
    @Min(0)
    @Max(3)
    private Integer type;

}
