package com.studio.nx.uiac.controller.request.auth;

import com.studio.nx.uiac.constant.AccountConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/6/5 15:15
 */
@ApiModel(value = "SignInRequest", description = "登录对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SignInRequest {

    @ApiModelProperty(value = "账号/手机号码", example = "13450765204")
    @NotEmpty(message = "账号不能为空")
    private String account;

    @ApiModelProperty(value = "密码（客户端需要Base64加密）", example = "MTIzNDU2", notes = "Base64('123456') -> MTIzNDU2")
    private String password;

    @ApiModelProperty("图片验证码")
    private String code;

    @ApiModelProperty("验证唯一码")
    private String uuid;

    @ApiModelProperty("短信验证码")
    private String smsCode;

    @ApiModelProperty(value = "登录类型", example = "MOBILE_NUMBER_PASSWORD")
    @NotNull(message = "登录类型不能为空")
    private AccountConstant.SignInType signInType;

}
