package com.studio.nx.uiac.controller.request.resources;

import com.studio.nx.uiac.constant.ResourcesConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/26 17:56
 */
@ApiModel(value = "ResourcesSaveOrUpdateRequest", description = "新增/编辑资源")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ResourcesSaveOrUpdateRequest {

    @ApiModelProperty(value = "资源id", example = "")
    private String id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("父编号")
    private String parentId;

    @ApiModelProperty("资源路径")
    private String url;

    /**
     * 资源编码
     * menu例子：role:*
     * button例子：role:create,role:update,role:delete,role:view
     */
    @ApiModelProperty("资源编码")
    private String code;

    @ApiModelProperty("菜单图标")
    private String icon;

    @ApiModelProperty("菜单级别")
    private Integer level;

    /**
     * {@link com.studio.nx.uiac.constant.ResourcesConstant.Type}
     */
    @ApiModelProperty("资源类型[menu|button]")
    private ResourcesConstant.Type type;

    @ApiModelProperty("排序（倒序）")
    private Integer sort;

    @ApiModelProperty("备注")
    private String remarks;

}
