package com.studio.nx.uiac.controller.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountAdminResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("更新人")
    @NotEmpty(message = "更新人不能为空")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("真实姓名")
    private String nickname;

    @ApiModelProperty("昵称")
    private String realname;

    @ApiModelProperty("用户头像图片的 URL")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    private Integer gender;

    @ApiModelProperty("类型：1：平台、2：租户管理员、3：普通账号")
    private Integer type;

    @ApiModelProperty(notes = "密码修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime passwordFailureDateTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endDateTime;

    @ApiModelProperty("是否锁定")
    private Boolean isLocked;

    @ApiModelProperty("手机号码")
    private String mobileNumber;

    @ApiModelProperty("角色标识集合")
    private List<String> roleIdList;

}
