package com.studio.nx.uiac.controller.response;

import com.studio.nx.uiac.constant.AccountConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigInteger;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/6/12 13:52
 */
@ApiModel(value = "AccountPageResponse", description = "账号")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountPageResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty("头像图片URL")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    private BigInteger gender;

    /**
     * {@link AccountConstant.State}
     */
    @ApiModelProperty("账号状态")
    private String state;

    @ApiModelProperty("手机号码")
    private String mobileNumber;

    @ApiModelProperty("角色编码")
    private String roleName;

}
