package com.studio.nx.uiac.controller.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 响应角色dto
 *
 */
@ApiModel("响应角色dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RoleResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("角色名称")
    private String name;

    @ApiModelProperty("角色编码")
    private String code;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("数据权限deptIds")
    private List<String> deptIds;

    @ApiModelProperty("菜单ids")
    private List<String> menuIds;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;
}
