package com.studio.nx.uiac.controller.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/6/5 15:32
 */
@ApiModel(value = "SignInResponse", description = "登录返回")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SignInResponse {

    @ApiModelProperty(notes = "token")
    private String token;

    @ApiModelProperty(notes = "token超时之后，需要凭借此refreshToken更新token")
    private String refreshToken;

    @ApiModelProperty(notes = "微信的会话密钥")
    private String sessionKey;

    @ApiModelProperty(notes = "登录环境：true-安全，false-不安全")
    private Boolean envWarn;

    @ApiModelProperty(notes = "密码是否超期：true-超期，false-未超期")
    private Boolean pwdExpired;

}
