package com.studio.nx.uiac.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.studio.nx.uiac.controller.response.RoleResponse;
import com.studio.nx.uiac.entity.Dept;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/24 13:00
 */
@ApiModel("账号信息")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AccountInfoDto implements Serializable {

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("真实姓名")
    private String realname;

    @ApiModelProperty("头像图片URL")
    private String avatarUrl;

    @ApiModelProperty("用户性别（0未知、1男性、2女性）")
    private Integer gender;

    @ApiModelProperty("类型：1：平台、2：租户管理员、3：普通账号")
    private Integer type;

    @ApiModelProperty(notes = "密码修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime passwordFailureDateTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endDateTime;

    @ApiModelProperty("是否锁定")
    private Boolean isLocked;

    @ApiModelProperty("账号角色")
    private List<RoleResponse> roleList;

    @ApiModelProperty("账号部门")
    private List<Dept> deptList;

    @ApiModelProperty("手机号码")
    private String mobileNumber;

    @ApiModelProperty("微信开放平台-移动应用-openid")
    private String weixinOpenAppOpen;

    @ApiModelProperty("是否完善表单信息")
    private Boolean isPerfectForm;

    @ApiModelProperty("积分数")
    private Long integral;

    @ApiModelProperty("收藏数")
    private Long collections;

    @ApiModelProperty("获赞数")
    private Long likes;

}
