package com.studio.nx.uiac.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 响应部门dto
 *
 */
@ApiModel("响应部门dto")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DeptResponseDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("父级")
    private String parentId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("负责人")
    private String leader;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    @ApiModelProperty("是否有子节点")
    private Boolean hasChildren;

}
