package com.studio.nx.uiac.dto;

import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/24 13:01
 */
@ApiModel("资源树")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MenuTreeDto implements Serializable {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("父编号")
    private String parentId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("资源路径")
    private String url;

    /**
     * 资源编码
     * menu例子：role:*
     * button例子：role:create,role:update,role:delete,role:view
     */
    @ApiModelProperty("资源编码")
    private String code;

    @ApiModelProperty("菜单图标")
    private String icon;

    @ApiModelProperty("菜单级别")
    private Integer level;

    @ApiModelProperty("资源类型[menu|button]")
    private String type;

    @ApiModelProperty("排序（倒序）")
    private Integer sort;

    @ApiModelProperty("备注")
    private String remarks;

    @ApiModelProperty("子级")
    List<MenuTreeDto> children = Lists.newArrayList();

}
