package com.studio.nx.uiac.dto.weixin;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/21 11:07
 */
@ApiModel("微信授权-AccessToken")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WeixinAccessTokenResponse {

    @ApiModelProperty("接口调用凭证")
    @JsonProperty("access_token")
    private String accessToken;

    @ApiModelProperty("access_token接口调用凭证超时时间，单位（秒）")
    @JsonProperty("expires_in")
    private Long expiresIn;

    @ApiModelProperty("用户刷新access_token")
    @JsonProperty("refresh_token")
    private String refreshToken;

    @ApiModelProperty("授权用户唯一标识")
    @JsonProperty("openid")
    private String openid;

    @ApiModelProperty("授权用户唯一标识")
    @JsonProperty("unionid")
    private String unionid;

    @ApiModelProperty("用户授权的作用域，使用逗号（,）分隔")
    @JsonProperty("scope")
    private String scope;

    private Integer errcode;

    private String errmsg;

}
