package com.studio.nx.uiac.dto.weixin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/Wechat_webpage_authorization.html
 *
 * @Author 梁展鹏
 * @Date 2020/7/21 17:31
 */
@ApiModel("微信授权-用户信息")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WeixinUserInfoResponse {

    @ApiModelProperty("用户的唯一标识")
    private String openid;

    @ApiModelProperty("用户昵称")
    private String nickname;

    @ApiModelProperty("用户的性别，值为1时是男性，值为2时是女性，值为0时是未知")
    private Integer sex;

    @ApiModelProperty("")
    private String language;

    @ApiModelProperty("普通用户个人资料填写的城市")
    private String city;

    @ApiModelProperty("用户个人资料填写的省份")
    private String province;

    @ApiModelProperty("国家，如中国为CN")
    private String country;

    @ApiModelProperty("用户头像")
    private String headimgurl;

    @ApiModelProperty("用户特权信息")
    private String[] privilege;

    @ApiModelProperty("只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段")
    private String unionid;

}
