package com.studio.nx.uiac.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel("账号授权实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_account_auths")
public class AccountAuths extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField("account_id")
    private String accountId;

    @ApiModelProperty("登录类型（手机号 邮箱 用户名）或第三方应用名称（微信 微博等）")
    @NotEmpty
    @TableField("identity_type")
    private String identityType;

    @ApiModelProperty("标识（手机号 邮箱 用户名或第三方应用的唯一标识）")
    @NotEmpty
    @TableField("identifier")
    private String identifier;

    @ApiModelProperty("凭证（站内的保存密码，站外的不保存或保存token）")
    @JsonIgnore
    @TableField("credential")
    private String credential;

    @ApiModelProperty("加密密码的盐（目前没有使用）")
    @JsonIgnore
    @TableField("salt")
    private String salt;

    @Getter
    public enum IdentityType {
        ACCOUNT_PASSWORD("账号密码"),
        MOBILE_NUMBER("手机号"),
        EMAIL("邮箱"),

        WEIXIN_OPEN_UNIONID("微信开放平台-unionId"),
        WEIXIN_OPEN_APP_OPEN("微信开放平台-移动应用-openid"),
        WEIXIN_OPEN_WEB_OPEN("微信开放平台-网站应用-openid"),
        WEIXIN_OPEN_PUBLIC_OPEN("微信开放平台-公众帐号-openid"),
        WEIXIN_OPEN_MINI_PROGRAM_OPENID("微信开放平台-微信小程序-openid");

        private String name;

        IdentityType(String name) {
            this.name = name;
        }
    }

}
