package com.studio.nx.uiac.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/20 14:27
 */
@ApiModel("账号邀请拉新")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_account_invite")
public class AccountInvite extends BaseEntity {

    @ApiModelProperty("邀请人标识")
    @NotEmpty
    @TableField("account_id")
    private String accountId;

    @ApiModelProperty("被邀请人标识")
    @NotEmpty
    @TableField("invite_account_id")
    private String inviteAccountId;

    @ApiModelProperty("被邀请人昵称")
    @NotEmpty
    @TableField("invite_account_nickname")
    private String inviteAccountNickname;

    @ApiModelProperty("是否奖励")
    @NotEmpty
    @TableField("is_reward")
    private Boolean isReward;

}
