package com.studio.nx.uiac.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：角色部门关联实体
 *
 * @Auther 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("角色部门关联实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_role_dept")
public class RoleDept extends BaseEntity {

    @ApiModelProperty("角色标识")
    @NotEmpty
    @TableField("role_id")
    private String roleId;

    @ApiModelProperty("部门标识")
    @NotEmpty
    @TableField("dept_id")
    private String deptId;

}
