package com.studio.nx.uiac.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("机构实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_tenant")
public class Tenant extends BaseEntity {

    @ApiModelProperty("名称")
    @NotEmpty
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "租户管理员标识")
    @TableField("manager_id")
    private String managerId;

    @ApiModelProperty(value = "排序（倒序）")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty("备注")
    @TableField("remarks")
    private String remarks;

}
