package com.studio.nx.uiac.service;

import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.studio.nx.uiac.dto.RoleDto;
import com.studio.nx.uiac.entity.AccountRole;
import com.studio.nx.uiac.mapper.AccountRoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/7/13 10:50
 */
@Service
public class AccountRoleService {

    @Autowired
    private AccountRoleMapper accountRoleMapper;

    public List<RoleDto> listByAccountId(String accountId) {
        return accountRoleMapper.listByAccountId(accountId);
    }

    public void save(String accountId, String roleId) {
        String id = IdUtil.createSnowflake(1L, 1L).nextIdStr();
        accountRoleMapper.save(id, accountId, roleId);
    }

    public void delete(String accountId, String roleId) {
        accountRoleMapper.update(null, new LambdaUpdateWrapper<AccountRole>()
                .eq(AccountRole::getAccountId, accountId)
                .eq(AccountRole::getRoleId, roleId)
                .set(AccountRole::getIsDel, Boolean.TRUE)
        );
    }

}
