package com.studio.nx.address.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("地址信息")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_address")
public class Address extends BaseEntity {

    @ApiModelProperty("名称")
    @NotEmpty
    @TableField("name")
    private String name;

    @ApiModelProperty("地区编码")
    @NotEmpty
    @TableField("area_code")
    private String areaCode;

    @ApiModelProperty("父级编码")
    @NotEmpty
    @TableField("parent_id")
    private String parentId;

    @ApiModelProperty("类型")
    @Enumerated(EnumType.STRING)
    @NotNull
    @TableField("type")
    private TypeEnum type;

    @Getter
    public enum TypeEnum {
        COUNTRY(0, "国家"),
        PROVINCES(1, "省份"),
        CITIES(2, "城市"),
        AREA(3, "区县"),
        TOWN(4, "乡镇"),
        VILLAGE(5, "村");

        private Integer value;
        private String name;

        TypeEnum(Integer value, String name) {
            this.value = value;
            this.name = name;
        }
    }

}
