package com.studio.nx.address.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.studio.nx.address.entity.Address;
import com.studio.nx.address.mapper.AddressMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Optional;

/**
 * 功能描述：
 */
@Service
public class AddressService {

    @Autowired
    private AddressMapper mapper;

    /**
     * 功能描述：查询地址名称底下的地址信息
     *
     * @param name 地址名称
     * @return
     */
    public List<Address> findNextLevel(String name) {
        Optional<Address> optional = Optional.ofNullable(findByName(name));
        if (optional.isPresent()) {
            Address address = optional.get();
            return findByParentId(address.getId());
        }

        return Collections.EMPTY_LIST;
    }

    private Address findByName(String name) {
        return mapper.selectOne(new LambdaQueryWrapper<Address>()
                .eq(Address::getName, name)
        );
    }

    private List<Address> findByParentId(String id) {
        return mapper.selectList(new LambdaQueryWrapper<Address>()
                .eq(Address::getParentId, id)
        );
    }

}
