package com.studio.nx.app.controller.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AppSaveRequest {

    @ApiModelProperty("产品名称")
    @NotEmpty(message = "产品名称不能为空")
    private String productName;

    @ApiModelProperty("平台")
    @NotEmpty(message = "平台不能为空")
    private String platform;

    @ApiModelProperty("版本编码")
    @NotNull(message = "版本编码不能为空")
    private Integer versionCode;

    @ApiModelProperty("版本号")
    @NotEmpty(message = "版本号不能为空")
    private String versionNumber;

    @ApiModelProperty("是否有效")
    @NotNull(message = "是否有效不能为空")
    private Boolean isShow;

    @ApiModelProperty("是否强制更新")
    @NotNull(message = "是否强制更新不能为空")
    private Boolean isForceUpgrade;

    @ApiModelProperty("升级描述")
    @NotEmpty(message = "升级描述不能为空")
    private String upgradeDesc;

    @ApiModelProperty("下载地址")
    @NotEmpty(message = "下载地址不能为空")
    private String downloadUrl;

}
