package com.studio.nx.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_app")
public class App extends BaseEntity {

    @ApiModelProperty("产品名称")
    @NotEmpty
    @TableField(value = "product_name")
    private String productName;

    @ApiModelProperty("平台")
    @NotEmpty
    @TableField(value = "platform")
    private String platform;

    @ApiModelProperty("版本编码")
    @NotNull
    @TableField(value = "version_code")
    private Integer versionCode;

    @ApiModelProperty("版本号")
    @NotEmpty
    @TableField(value = "version_number")
    private String versionNumber;

    @ApiModelProperty("是否有效")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;

    @ApiModelProperty("是否强制更新")
    @NotNull
    @TableField(value = "is_force_upgrade")
    private Boolean isForceUpgrade;

    @ApiModelProperty("升级描述")
    @NotEmpty
    @TableField(value = "upgrade_desc")
    private String upgradeDesc;

    @ApiModelProperty("下载地址")
    @NotEmpty
    @TableField(value = "download_url")
    private String downloadUrl;

}
