package com.studio.nx.datadict.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("字典父类实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_dict")
public class Dict extends BaseEntity {

    @ApiModelProperty("字典编码")
    @NotBlank
    @TableField("code")
    private String code;

    @ApiModelProperty("字典名称")
    @NotBlank
    @TableField("name")
    private String name;

    @ApiModelProperty("备注")
    @TableField("remarks")
    private String remarks;

}
