package com.studio.nx.datadict.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/1/18 16:03
 */
@ApiModel("字典实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_dict_entry")
public class DictEntry extends BaseEntity {

    @ApiModelProperty(value = "字典标识")
    @NotBlank
    @TableField("dict_id")
    private String dictId;

    @ApiModelProperty("字典编码")
    @NotBlank
    @TableField("code")
    private String code;

    @ApiModelProperty("字典名称")
    @NotBlank
    @TableField("name")
    private String name;

    @ApiModelProperty("字典值")
    @NotBlank
    @TableField("value")
    private String value;

    @ApiModelProperty("扩展参数")
    @TableField("attr")
    private String attr;

    @ApiModelProperty("排序（倒序）")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty("备注")
    @TableField("remarks")
    private String remarks;

}
