package com.studio.nx.feedback.controller.request;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class FeedbackApplyRequest {

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("手机号码")
    private String phonenumber;

    @ApiModelProperty("反馈内容")
    @NotBlank
    @TableField("content")
    private String content;

    @ApiModelProperty("反馈图片地址（可多个）")
    @TableField("img_url")
    private String imgUrl;

}
