package com.studio.nx.feedback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_feedback")
public class Feedback extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField("account_id")
    private String accountId;

    @ApiModelProperty("反馈内容")
    @NotEmpty
    @TableField("content")
    private String content;

    @ApiModelProperty("反馈图片地址（可多个）")
    @TableField("img_url")
    private String imgUrl;

}
