package com.studio.nx.help.dto;

import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class HelpContentListDto extends BaseEntity {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("所属父分类标识")
    private String parentHelpGroupId;

    @ApiModelProperty("所属父分类名称")
    private String parentHelpGroupName;

    @ApiModelProperty("所属分类标识")
    private String helpGroupId;

    @ApiModelProperty("所属分类名称")
    private String helpGroupName;

    @ApiModelProperty("标题")
    @NotEmpty
    private String name;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;

}
