package com.studio.nx.help.dto;

import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class HelpGroupListDto extends BaseEntity {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("父级标识")
    private String parentId;

    @ApiModelProperty("标题")
    @NotEmpty
    private String name;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;

    @ApiModelProperty("子类")
    private List<HelpGroupListDto> children;
}
