package com.studio.nx.help.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * todo 自动递归查询所有父类如：
 * 一级问题/二级问题/三级问题 -> 内容
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("plt_framework_help_content")
public class HelpContent extends BaseEntity {

    @ApiModelProperty("所属分类标识")
    @NotEmpty
    @TableField(value = "help_group_id")
    private String helpGroupId;

    @ApiModelProperty("标题")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("内容")
    @TableField(value = "content")
    private String content;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;
}
