package com.studio.nx.notice.service.sms;

import com.aliyun.dysmsapi20170525.models.SendSmsRequest;
import com.aliyun.teaopenapi.models.Config;
import com.studio.nx.notice.config.sms.AliDaYuYml;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AliDaYuService {

    @Autowired
    private AliDaYuYml aliDaYuYml;

    /**
     * 使用AK&SK初始化账号Client
     *
     * @param accessKeyId
     * @param accessKeySecret
     * @return Client
     * @throws Exception
     */
    @SneakyThrows
    private com.aliyun.dysmsapi20170525.Client createClient(String accessKeyId, String accessKeySecret) {
        Config config = new Config()
                .setAccessKeyId(accessKeyId) // 您的AccessKey ID
                .setAccessKeySecret(accessKeySecret); // 您的AccessKey Secret

        config.endpoint = "dysmsapi.aliyuncs.com"; // 访问的域名
        return new com.aliyun.dysmsapi20170525.Client(config);
    }

    @SneakyThrows
    public void sendSMS(String phoneNumbers, String SignName, String templateCode, String templateParam) {
        com.aliyun.dysmsapi20170525.Client client = createClient(aliDaYuYml.getAccessKeyId(), aliDaYuYml.getAccessKeySecret());

        SendSmsRequest sendSmsRequest = new SendSmsRequest()
                .setPhoneNumbers(phoneNumbers) // 接收短信的手机号码
                .setSignName(SignName) // 短信签名名称
                .setTemplateCode(templateCode) // 短信模板ID
                .setTemplateParam(templateParam); // 短信模板变量对应的实际值

        // 复制代码运行请自行打印 API 的返回值
        client.sendSms(sendSmsRequest);
    }

}
