package com.studio.nx.oss.alioss.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/8/3 16:30
 */
@Data
@Configuration
@ConfigurationProperties("nx-framework.nx-oss.ali-oss")
public class AliOssYaml {

    @Value("${endpoint:https://oss-cn-beijing.aliyuncs.com}")
    private String endpoint;

    @Value("${bucket-name:tmp}")
    private String bucketName;

    /* Access key就像用户ID，可以唯一标识你的账户 */
    @Value("${access-key:admin}")
    private String accessKey;

    /* Secret key是你账户的密码 */
    @Value("${secret-key:admin123}")
    private String secretKey;

}
