package com.studio.nx.oss.config;

import com.studio.nx.oss.local.config.LocalYaml;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/18 15:53
 */
@EnableWebMvc
@SpringBootConfiguration
public class WebMvcConfig implements WebMvcConfigurer {

    @Autowired
    private LocalYaml localYaml;

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        /* 和页面有关的静态目录都放在项目的static目录下 */
        registry.addResourceHandler("/static/**").addResourceLocations("classpath:/static/");

        /* 自定义上传映射路径 */
        registry.addResourceHandler(localYaml.getMvcPath() + "/**").addResourceLocations("file:" + localYaml.getPath() + "/");
    }

}
