package com.studio.nx.oss.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：上传文件返回对象
 */
@ApiModel("文件上传返回Dto")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Accessors(chain = true)
public class FileResponse {

    @ApiModelProperty("原始文件名称")
    private String originalFilename;

    @ApiModelProperty("上传后的文件名称")
    private String filename;

    @ApiModelProperty("文件扩展名称")
    private String extension;

    @ApiModelProperty("文件大小")
    private Long size;

    @ApiModelProperty("访问全路径")
    private String fullPath;

    @ApiModelProperty("访问相对路径")
    private String relativePath;

    @ApiModelProperty("本地存储临时路径")
    @JsonIgnore
    private String localTempPath;

}
