package com.studio.nx.oss.local.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/9 14:58
 */
@Data
@Configuration
@ConfigurationProperties("nx-framework.nx-oss.local")
public class LocalYaml {

    /**
     * 本地访问资源的域名、端口、应用上下文等
     */
    @Value("${host:http://127.0.0.1:8080}")
    private String host;

    /**
     * 本地存储的绝对路径
     */
    @Value("${path:/tmp}")
    private String path;

    /**
     * 本地访问资源的Spring MVC映射路径
     */
    @Value("${mvc-path:/img}")
    private String mvcPath;

}
