package com.studio.nx.oss.util;

import lombok.extern.slf4j.Slf4j;

import java.time.LocalDate;

/**
 * 功能描述：文件工具类
 */
@Slf4j
public class FileUtil {

    /**
     * 功能描述：获取文件后缀（不带"."符号）
     *
     * @param fileOriginName 源文件名
     * @return
     */
    public static String extName(String fileOriginName) {
        int index = fileOriginName.lastIndexOf(".");
        if (index != -1) {
            String suffix = fileOriginName.substring(index + 1);
            if (!suffix.isEmpty()) {
                return suffix;
            }
        }

        throw new IllegalArgumentException("非法文件名称：" + fileOriginName);
    }

    /**
     * 功能描述：
     * 获取年月日[2020, 09, 01]
     *
     * @return
     */
    public static String[] getDateFolder() {
        String[] retVal = new String[3];

        LocalDate localDate = LocalDate.now();
        retVal[0] = localDate.getYear() + "";

        int month = localDate.getMonthValue();
        retVal[1] = month < 10 ? "0" + month : month + "";

        int day = localDate.getDayOfMonth();
        retVal[2] = day < 10 ? "0" + day : day + "";

        return retVal;
    }

}
