package com.studio.nx.pay.weixin.dto;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 * https://pay.weixin.qq.com/wiki/doc/apiv3/apis/chapter3_2_5.shtml
 * @Author 梁展鹏
 * @Date 2021/6/29 22:00
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class NotifyBody {

    private String id; // 通知ID
    // ZonedDateTime zonedDateTime = ZonedDateTime.parse(payResponse.getSuccess_time());
    private String create_time; // 通知创建时间
    private String event_type; // 通知类型
    private String resource_type; // 通知数据类型
    private String summary; // summary
    private Resource resource; // resource

    @ApiModel
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @Accessors(chain = true)
    public static class Resource {
        private String algorithm; // 加密算法类型
        private String ciphertext; // 数据密文
        private String associated_data; // 附加数据
        private String original_type; // 原始类型
        private String nonce; // 随机串
    }

}
