package com.studio.nx.yxl.config;

import com.studio.nx.uiac.config.WeixinMessageConverter;
import feign.codec.Decoder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.ObjectFactory;
import org.springframework.boot.autoconfigure.http.HttpMessageConverters;
import org.springframework.cloud.openfeign.support.SpringDecoder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/24 16:08
 */
@Slf4j
@Configuration
public class MvcConfig {

    @Bean
    public Decoder feignDecoder() {
        WeixinMessageConverter wxConverter = new WeixinMessageConverter();
        ObjectFactory<HttpMessageConverters> objectFactory = () -> new HttpMessageConverters(wxConverter);
        return new SpringDecoder(objectFactory);
    }

}
