package com.studio.nx.yxl.constant;

import java.util.Arrays;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/7/14 09:48
 */
public class BusinessConfigKey {

    /* 积分相关 */
    public static class Integral {
        public static final String INTEGRAL_CASH_OUT = "INTEGRAL_CASH_OUT"; // 积分抵现（设置多少积分抵一元人民币，用于积分购买照片）
        public static final String INTEGRAL_TO_SIGN_UP = "INTEGRAL_TO_SIGN_UP"; // 注册获得积分
        public static final String INTEGRAL_INVITE_TO_SIGN_UP = "INTEGRAL_INVITE_TO_SIGN_UP"; // 邀请好友注册获得积分
        public static final String INTEGRAL_SHARE_TIME_BY_DAY = "INTEGRAL_SHARE_TIME_BY_DAY"; // 分享获得积分每天限额次数
        public static final String INTEGRAL_SHARE_POINTS = "INTEGRAL_SHARE_POINTS"; // 分享获得积分
        public static final String INTEGRAL_LIKE_TO_POINTS_TIME_BY_DAY = "INTEGRAL_LIKE_TO_POINTS_TIME_BY_DAY"; // 点赞照片获得积分每天限额次数
        public static final String INTEGRAL_LIKE_TO_POINTS = "INTEGRAL_LIKE_TO_POINTS"; // 点赞照片获得积分
        public static final String INTEGRAL_POINTS_BY_LIKE = "INTEGRAL_POINTS_BY_LIKE"; // 被点赞照片获得积分
        public static final String INTEGRAL_SIGN_IN_BY_DAY = "INTEGRAL_SIGN_IN_BY_DAY"; // 每日签到获得积分
        public static final String INTEGRAL_SIGN_IN_BY_EVERY_DAY = "INTEGRAL_SIGN_IN_BY_EVERY_DAY"; // 连续签到天数
        public static final String INTEGRAL_SIGN_IN_BY_EVERY_DAY_POINTS = "INTEGRAL_SIGN_IN_BY_EVERY_DAY_POINTS"; // 连续签到获得积分

        public static List<String> getCode() {
            return Arrays.asList(
                    INTEGRAL_CASH_OUT,
                    INTEGRAL_TO_SIGN_UP,
                    INTEGRAL_INVITE_TO_SIGN_UP,
                    INTEGRAL_SHARE_TIME_BY_DAY,
                    INTEGRAL_SHARE_POINTS,
                    INTEGRAL_LIKE_TO_POINTS_TIME_BY_DAY,
                    INTEGRAL_LIKE_TO_POINTS,
                    INTEGRAL_POINTS_BY_LIKE,
                    INTEGRAL_SIGN_IN_BY_DAY,
                    INTEGRAL_SIGN_IN_BY_EVERY_DAY,
                    INTEGRAL_SIGN_IN_BY_EVERY_DAY_POINTS
            );
        }

        public static List<String> getName() {
            return Arrays.asList(
                    "积分抵现（设置多少积分抵一元人民币，用于积分购买照片）",
                    "注册获得积分",
                    "邀请好友注册获得积分",
                    "分享获得积分每天限额次数",
                    "分享获得积分",
                    "点赞照片获得积分每天限额次数",
                    "点赞照片获得积分",
                    "被点赞照片获得积分",
                    "每日签到获得积分",
                    "连续签到天数",
                    "连续签到获得积分"
            );
        }
    }

    /* 现金相关 */
    public static class Cash {
        public static final String CASH_PHOTOER_INCOME = "CASH_PHOTOER_INCOME"; // 照片购买摄影师分成（%）

        public static final String CASH_TASK_HD_LOGO_PHOTO_ORIGIN_PRICE = "CASH_TASK_HD_LOGO_PHOTO_ORIGIN_PRICE"; // 购买随手拍高清图统一原价格
        public static final String CASH_TASK_HD_LOGO_PHOTO_PRICE = "CASH_TASK_HD_LOGO_PHOTO_PRICE"; // 购买随手拍高清图统一价格
        public static final String CASH_TASK_ORIGIN_PHOTO_ORIGIN_PRICE = "CASH_TASK_ORIGIN_PHOTO_ORIGIN_PRICE"; // 购买随手拍原图统一原价格
        public static final String CASH_TASK_ORIGIN_PHOTO_PRICE = "CASH_TASK_ORIGIN_PHOTO_PRICE"; // 购买随手拍原图统一价格

        public static final String CASH_HD_LOGO_PHOTO_ORIGIN_PRICE = "CASH_HD_LOGO_PHOTO_ORIGIN_PRICE"; // 购买高清图统一原价格
        public static final String CASH_HD_LOGO_PHOTO_PRICE = "CASH_HD_LOGO_PHOTO_PRICE"; // 购买高清图统一价格
        public static final String CASH_ORIGIN_PHOTO_ORIGIN_PRICE = "CASH_ORIGIN_PHOTO_ORIGIN_PRICE"; // 购买原图统一原价格
        public static final String CASH_ORIGIN_PHOTO_PRICE = "CASH_ORIGIN_PHOTO_PRICE"; // 购买原图统一价格

        public static List<String> getCode() {
            return Arrays.asList(CASH_PHOTOER_INCOME,
                    CASH_TASK_HD_LOGO_PHOTO_ORIGIN_PRICE, CASH_TASK_HD_LOGO_PHOTO_PRICE, CASH_TASK_ORIGIN_PHOTO_ORIGIN_PRICE, CASH_TASK_ORIGIN_PHOTO_PRICE,
                    CASH_HD_LOGO_PHOTO_ORIGIN_PRICE, CASH_HD_LOGO_PHOTO_PRICE, CASH_ORIGIN_PHOTO_ORIGIN_PRICE, CASH_ORIGIN_PHOTO_PRICE);
        }

        public static List<String> getName() {
            return Arrays.asList("照片购买摄影师分成（%）",
                    "购买随手拍高清图统一原价格", "购买随手拍高清图统一价格", "购买随手拍原图统一原价格", "购买随手拍原图统一价格",
                    "购买高清图统一原价格", "购买高清图统一价格", "购买原图统一原价格", "购买原图统一价格");
        }
    }

    /* 业务 */
    public static class Business {
        public static final String BUSINESS_H5_WEB_DOMAIN = "BUSINESS_H5_WEB_DOMAIN"; // H5网页域名
        public static final String BUSINESS_TAKE_COUNT = "BUSINESS_TAKE_COUNT"; // 限制每天随手拍上传文件数

        public static List<String> getCode() {
            return Arrays.asList(BUSINESS_H5_WEB_DOMAIN, BUSINESS_TAKE_COUNT);
        }

        public static List<String> getName() {
            return Arrays.asList("H5网页域名", "限制每天随手拍上传文件数");
        }
    }

}
