package com.studio.nx.yxl.controller.admin;

import com.studio.nx.framework.dto.req.BasePageRequest;
import com.studio.nx.framework.dto.resp.BasePageResponse;
import com.studio.nx.framework.dto.resp.BaseResponse;
import com.studio.nx.yxl.controller.admin.response.OrderPageResponse;
import com.studio.nx.yxl.controller.admin.search.OrderSearch;
import com.studio.nx.yxl.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @author Loki
 * @date 2021/6/30 15:24
 */
@Api(tags = "订单")
@Slf4j
@Validated
@RestController("AdminOrderController")
@RequestMapping("/admin/order")
public class OrderController {

    @Autowired
    private OrderService service;

    /**
     * 功能描述：查询[订单]列表(分页)
     *
     * @return
     */
    @ApiOperation(value = "查询[订单列表(分页)")
    @PostMapping("/page")
    public ResponseEntity<BaseResponse<BasePageResponse<OrderPageResponse>>> page(@Valid @RequestBody BasePageRequest<OrderSearch> request) {
        return ResponseEntity.ok(BaseResponse.ok(service.page(request.getData(), request.getPage(), request.getLimit())));
    }

}
