package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/5/27 14:19
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BannerSaveRequest {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("标题")
    @NotEmpty
    private String name;

    @ApiModelProperty("类型")
    @NotEmpty
    private String type;

    @ApiModelProperty("图片地址")
    @NotEmpty
    private String imgUrl;

    @ApiModelProperty("链接")
    private String link;

    @ApiModelProperty("扩展参数")
    private String params;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;

}
