package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/26 18:53
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class FileRequest {

    @ApiModelProperty("原始文件名称")
    @NotEmpty(message = "原始文件名称不能为空")
    private String originalFilename;

    @ApiModelProperty("文件大小")
    @NotNull(message = "文件大小不能为空")
    private Long size;

    @ApiModelProperty("原图")
    @NotEmpty(message = "原图不能为空")
    private String path;

}
