package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenItemRequestDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园名称")
    @NotEmpty(message = "幼儿园名称不能为空")
    private String name;

    @ApiModelProperty("Logo")
    @NotEmpty(message = "Logo不能为空")
    private String logo;

    @ApiModelProperty("预览图Logo")
    private String previewLogo;

    @ApiModelProperty("高清图Logo")
    private String hdLogo;

    @ApiModelProperty("办公电话")
    @NotEmpty(message = "办公电话不能为空")
    private String phonenumber;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("封面")
    @NotEmpty(message = "封面不能为空")
    private String cover;

    @ApiModelProperty("类型(公办/民办)")
    @NotEmpty(message = "类型(公办/民办)不能为空")
    private String type;

    @ApiModelProperty("省")
    @NotEmpty(message = "省不能为空")
    private String province;

    @ApiModelProperty("市")
    @NotEmpty(message = "市不能为空")
    private String city;

    @ApiModelProperty("区")
    @NotEmpty(message = "区不能为空")
    private String area;

    @ApiModelProperty("详细地址")
    @NotEmpty(message = "详细地址不能为空")
    private String address;

    @ApiModelProperty("经度")
    private Long lng;

    @ApiModelProperty("纬度")
    private Long lat;

    @ApiModelProperty("排序（倒序）")
    @NotNull(message = "排序（倒序）不能为空")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull(message = "显示/隐藏不能为空")
    private Boolean isShow;

    @ApiModelProperty("营业执照")
    @NotEmpty(message = "营业执照不能为空")
    private String businessLicense;

    @ApiModelProperty("申请人身份证")
    @NotEmpty(message = "申请人身份证不能为空")
    private String idCardNumber;

    @ApiModelProperty("申请人手机号")
    @NotEmpty(message = "申请人手机号不能为空")
    private String personPhonenumber;

    @ApiModelProperty("申请人真实姓名")
    @NotEmpty(message = "申请人真实姓名不能为空")
    private String realName;

    @ApiModelProperty("申请人证件正面")
    @NotEmpty(message = "申请人证件正面不能为空")
    private String idCardFront;

    @ApiModelProperty("申请人证件背面")
    @NotEmpty(message = "申请人证件背面不能为空")
    private String idCardBack;

    @ApiModelProperty("申请人邮箱")
    @Email(message = "邮箱格式错误")
    @NotEmpty(message = "申请人邮箱不能为空")
    private String email;

    @ApiModelProperty("申请人半身照")
    @NotEmpty(message = "申请人半身照不能为空")
    private String bodyPhoto;

    @ApiModelProperty("审核状态")
    @NotNull(message = "审核状态不能为空")
    private Integer auditStatus;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
