package com.studio.nx.yxl.controller.admin.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/11 17:23
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWarehouseSaveRequest {

    @ApiModelProperty("幼儿园标识")
    @NotEmpty(message = "幼儿园标识不能为空")
    private String kindergartenId;

    @ApiModelProperty("活动标识（非必填）")
    private String activityId;

    @ApiModelProperty("上传文件")
    @Valid
    @NotNull
    private FileRequest fileRequest;

}
