package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DownloadPageResponse {

    @ApiModelProperty("订单标识")
    private String orderId;

    @ApiModelProperty("照片标识")
    private String photoWarehouseId;

    @ApiModelProperty("是否购买高清带logo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否购买原图")
    private Boolean isOriginPhoto;

    @ApiModelProperty("列表页预览图")
    private String listPreview;

    @ApiModelProperty("场景标识")
    private String kindergartenId;

    @ApiModelProperty("场景名称")
    private String kindergartenName;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("活动标识")
    private String activityName;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("账号手机号")
    private String phonenumber;

    @ApiModelProperty("支付渠道")
    private String payChannels;

    @ApiModelProperty("实付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal payablePrice;

    @ApiModelProperty("拍照时间（读取图片信息）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime photoTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

}
