package com.studio.nx.yxl.controller.admin.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenItemResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("Logo")
    private String logo;

    @ApiModelProperty("预览图Logo")
    private String previewLogo;

    @ApiModelProperty("高清图Logo")
    private String hdLogo;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("封面")
    private List<String> coverList;

    @ApiModelProperty("类型(公办/民办)")
    private String type;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("区")
    private String area;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("经度")
    private Long lng;

    @ApiModelProperty("纬度")
    private Long lat;

    @ApiModelProperty("排序（倒序）")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    private Boolean isShow;

    @ApiModelProperty("信息表标识")
    private String infoId;

    @ApiModelProperty("申请人身份证")
    private String idCardNumber;

    @ApiModelProperty("申请人手机号")
    private String personPhonenumber;

    @ApiModelProperty("申请人真实姓名")
    private String realName;

    @ApiModelProperty("营业执照")
    private String businessLicense;

    @ApiModelProperty("申请人证件正面")
    private String idCardFront;

    @ApiModelProperty("申请人证件背面")
    private String idCardBack;

    @ApiModelProperty("申请人邮箱")
    private String email;

    @ApiModelProperty("申请人半身照")
    private String bodyPhoto;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
