package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OrderPageResponse {

    @ApiModelProperty("订单标识")
    private String id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("账号手机号")
    private String phonenumber;

    @ApiModelProperty("订单原价")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPrice;

    @ApiModelProperty("订单应付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal payablePrice;

    @ApiModelProperty("订单实付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal paidPrice;

    @ApiModelProperty("支付渠道（积分、微信、支付宝）")
    private String payChannels;

    @ApiModelProperty("订单状态")
    private Integer state;

    @ApiModelProperty("支付时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payEndTime;

    @ApiModelProperty("第三方平台支付标识")
    private String transactionId;

}
