package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/6/24 14:19
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWarehouseResponse {

    @ApiModelProperty("标识")
    private String id;

    // todo add by 梁展鹏 20210723 原有error日志有异常，但不影响使用。但是字段在列表中有展示；更新照片用到，暂时处理
    @ApiModelProperty("上传日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("幼儿园名称")
    private String kindergartenName;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("活动名称")
    private String activityName;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("账号手机号")
    private String phonenumber;

    @ApiModelProperty("原始文件名称")
    private String originFilename;

    @ApiModelProperty("拍照时间（读取图片信息）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime photoTime;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("列表页预览图（幼儿园logo、品牌logo）")
    private String listPreview;

    @ApiModelProperty("详情页预览图（水印、幼儿园logo、品牌logo）")
    private String detailPreview;

    @ApiModelProperty("高清带logo大小")
    private Long hdLogoPhotoSize;

    @ApiModelProperty("高清带logo原价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal hdLogoPhotoOriginPrice;

    @ApiModelProperty("高清带logo价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal hdLogoPhotoPrice;

    @ApiModelProperty("高清带logo像素")
    private String hdLogoPhotoPixel;

    @ApiModelProperty("高清带logo")
    private String hdLogoPhoto;

    @ApiModelProperty("原图大小")
    private Long originPhotoSize;

    @ApiModelProperty("原图原价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPhotoOriginPrice;

    @ApiModelProperty("原图价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPhotoPrice;

    @ApiModelProperty("原图像素")
    private String originPhotoPixel;

    @ApiModelProperty("原图")
    private String originPhoto;

    @ApiModelProperty("点赞数")
    private Integer likes;

    @ApiModelProperty("收藏数")
    private Integer collections;

    @ApiModelProperty("是否为随手拍")
    private Boolean isTake;

    @ApiModelProperty("是否为精选")
    private Boolean isBeautiful;

    @ApiModelProperty("是否处理成功（图片裂变）")
    private Boolean isReady;

    @ApiModelProperty("是否上架")
    private Boolean isShow;

    @ApiModelProperty("审核状态（1：审核通过、0：未审核、-1:审核失败）")
    private Integer auditStatus;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditDate;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
