package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoerAuditAdminPageResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("申请人标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("账号手机号")
    private String phonenumber;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("申请人手机号码")
    private String applyPhonenumber;

    /* add by 梁展鹏 20210621 由于目前微信、支付宝还没能注册满90天，故不能使用平台转账到个人。目前暂时使用银联线下处理的方式 */
    @ApiModelProperty("申请人银行卡号")
    private String bankCardNumber;

    @ApiModelProperty("申请人身份证证件号码")
    private String idCardNumber;

    @ApiModelProperty("申请人身份证正面（Minio上传）")
    private String idCardFront;

    @ApiModelProperty("申请人身份证背面（Minio上传）")
    private String idCardBack;

    @ApiModelProperty("申请人半身照（Minio上传）")
    private String bodyPhoto;

    @ApiModelProperty("申请人邮箱")
    private String email;

    @ApiModelProperty("常用相机型号")
    private String cameraModel;

    @ApiModelProperty("经常合作场景")
    private String cooperationScenario;

    @ApiModelProperty("每月可拍摄天数")
    private String shootingDaysPerMonth;

    @ApiModelProperty("可能拍摄时间")
    private String possibleShootingTime;

    @ApiModelProperty("个人拍摄经验")
    private String personalShootingExperience;

    @ApiModelProperty("作品集（Minio上传）")
    private String sampleReels;

    @ApiModelProperty("审核账号标识")
    private String auditAccountId;

    @ApiModelProperty("审核状态（1：审核通过、0：未审核、-1:审核失败）")
    private Integer auditStatus;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditDate;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
