package com.studio.nx.yxl.controller.admin.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class UploadPageResponse {

    @ApiModelProperty("场景标识")
    private String kindergartenId;

    @ApiModelProperty("场景名称")
    private String kindergartenName;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("活动标识")
    private String activityName;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("手机号码")
    private String phonenumber;

    @ApiModelProperty("手机上传数")
    private Integer isTakeTrue;

    @ApiModelProperty("电脑上传数")
    private Integer isTakeFalse;

    @ApiModelProperty("最近上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

}
