package com.studio.nx.yxl.controller.admin.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenSearch {

    @ApiModelProperty("主表是否被删除")
    private Boolean isDel;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("幼儿园类型")
    private String type;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("申请人账号标识")
    private String accountId;

    // 简单操作 只判断区 后期可以开放此做多级联动选择
    // @ApiModelProperty("所在地区(省)")
    // private String province;

    // @ApiModelProperty("所在地区(市)")
    // private String city;

    @ApiModelProperty("所在地区(地区)")
    private String area;

    @ApiModelProperty("显示/隐藏")
    private Boolean isShow;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

}
