package com.studio.nx.yxl.controller.admin.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoWarehouseSearch {

    @ApiModelProperty("场景标识")
    private String kindergartenId;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("是否为随手拍")
    private Boolean isTake;

    @ApiModelProperty("是否为精选")
    private Boolean isBeautiful;

    @ApiModelProperty("是否处理成功（图片裂变）")
    private Boolean isReady;

    @ApiModelProperty("显示/隐藏")
    private Boolean isShow;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

}
