package com.studio.nx.yxl.controller.app;

import com.studio.nx.framework.dto.req.BaseRequest;
import com.studio.nx.framework.dto.resp.BaseResponse;
import com.studio.nx.framework.jwt.util.JWTUtil;
import com.studio.nx.yxl.controller.app.response.order.OrderResponse;
import com.studio.nx.yxl.service.IntegralPayService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

@Api(tags = "支付服务 - 积分")
@Slf4j
@Validated
@RestController("AppPayController")
@RequestMapping("/app/pay/integral")
public class IntegralPayController {

    @Autowired
    private IntegralPayService payIntegralService;

    @ApiOperation(value = "积分 - 支付")
    @PostMapping("/{orderId:\\d+}/pay")
    public ResponseEntity<BaseResponse<OrderResponse>> integralPay(
            @ApiParam(value = "订单标识") @NotBlank @PathVariable("orderId") String orderId,
            @Valid @RequestBody BaseRequest request) {
        String accountId = JWTUtil.getLocalUser().get().getAccountId();
        return ResponseEntity.ok(BaseResponse.ok(payIntegralService.pay(orderId, accountId)));
    }

}
