package com.studio.nx.yxl.controller.app;

import com.studio.nx.framework.dto.resp.BaseResponse;
import com.studio.nx.framework.jwt.util.JWTUtil;
import com.studio.nx.yxl.controller.app.response.my.signin.CurrentSignInResponse;
import com.studio.nx.yxl.service.SignInService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/27 10:24
 */
@Api(tags = "签到")
@Slf4j
@Validated
@RestController("SignInController")
@RequestMapping("/app/sign-in")
public class SignInController {

    @Autowired
    private SignInService service;

    @ApiOperation(value = "获取[签到页面信息]")
    @GetMapping("/current-sign-in")
    public ResponseEntity<BaseResponse<CurrentSignInResponse>> currentSignIn() {
        String accountId = JWTUtil.getLocalUser().get().getAccountId();
        return ResponseEntity.ok(BaseResponse.ok(service.currentSignIn(accountId)));
    }

    @ApiOperation(value = "提交[签到]")
    @PostMapping("/sign-in")
    public ResponseEntity<BaseResponse<Integer>> signIn() {
        String accountId = JWTUtil.getLocalUser().get().getAccountId();
        return ResponseEntity.ok(BaseResponse.ok(service.signIn(accountId)));
    }

}
