package com.studio.nx.yxl.controller.app.request.index;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/15 22:27
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenSearchRequest {

    @ApiModelProperty("默认排序（1:最新认证，2:最多照片，3:最多活动）")
    private Integer sort;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("区")
    private String area;

    @JsonIgnore
    @ApiModelProperty(value = "附近公里")
    private Integer distance;

    @JsonIgnore
    @ApiModelProperty(value = "当前纬度")
    private double lng;

    @JsonIgnore
    @ApiModelProperty(value = "当前经度")
    private double lat;

    public static class SortType {
        public static final Integer AUTH = 1; // 最新认证
        public static final Integer PIC = 2; // 最多照片
        public static final Integer ACT = 3; // 最多活动
    }

}
