package com.studio.nx.yxl.controller.app.request.my.apply;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/16 20:54
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoerApplySaveRequest {

    @ApiModelProperty("真实姓名")
    @NotEmpty(message = "真实姓名不能为空")
    private String realName;

    @ApiModelProperty("申请人手机号码")
    @NotEmpty(message = "申请人手机号码不能为空")
    private String phonenumber;

    @ApiModelProperty("申请人银行卡号")
    @NotEmpty(message = "申请人银行卡号不能为空")
    private String bankCardNumber;

    @ApiModelProperty("申请人身份证证件号码")
    @NotEmpty(message = "申请人身份证证件号码不能为空")
    private String idCardNumber;

    @ApiModelProperty("申请人身份证证件号码")
    @NotEmpty(message = "申请人身份证证件号码不能为空")
    private String idCardFront;

    @ApiModelProperty("申请人身份证背面")
    @NotEmpty(message = "申请人身份证背面不能为空")
    private String idCardBack;

    @ApiModelProperty("申请人半身照")
    @NotEmpty(message = "申请人半身照不能为空")
    private String bodyPhoto;

    @ApiModelProperty("申请人邮箱")
    @NotEmpty(message = "申请人邮箱不能为空")
    private String email;

    @ApiModelProperty("常用相机型号")
//    @NotEmpty(message = "常用相机型号不能为空")
    private String cameraModel;

    @ApiModelProperty("经常合作场景")
//    @NotEmpty(message = "经常合作场景不能为空")
    private String cooperationScenario;

    @ApiModelProperty("每月可拍摄天数")
//    @NotEmpty(message = "每月可拍摄天数不能为空")
    private String shootingDaysPerMonth;

    @ApiModelProperty("可能拍摄时间")
//    @NotEmpty(message = "可能拍摄时间不能为空")
    private String possibleShootingTime;

    @ApiModelProperty("个人拍摄经验")
//    @NotEmpty(message = "个人拍摄经验不能为空")
    private String personalShootingExperience;

    @ApiModelProperty("作品集")
//    @NotEmpty(message = "作品集不能为空")
    private String sampleReels;

}
