package com.studio.nx.yxl.controller.app.request.my.withdrawal;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/21 16:42
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WithdrawalRecordApplyRequest {

    @ApiModelProperty("渠道（0：微信、1：支付宝、2：银行卡）")
    @NotNull
    private Integer channels;

    @ApiModelProperty("数值")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    private BigDecimal value;

}
