package com.studio.nx.yxl.controller.app.response;

import com.studio.nx.yxl.controller.app.response.index.PhotoWarehouseResponse;
import com.studio.nx.yxl.entity.Activity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 功能描述：客户端-幼儿园详情
 *
 * @Author 何锦枫
 * @Date 2021/6/19 13:58
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenInfoResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("封面")
    private List<String> coverList;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("经度")
    private Long lng;

    @ApiModelProperty("纬度")
    private Long lat;

    @ApiModelProperty("是否收藏")
    private Boolean isCollection;

    @ApiModelProperty("图片数量")
    private Integer picCount;

    @ApiModelProperty("最新的一个活动")
    private Activity activity;

    @ApiModelProperty("最新图片列表")
    private List<PhotoWarehouseResponse> photoWarehouses;

    @ApiModelProperty("分享-标题")
    private String shareTitle;

    @ApiModelProperty("分享-简介")
    private String shareDesc;

    @ApiModelProperty("分享-链接")
    private String shareLink;

    @ApiModelProperty("分享-小图")
    private String shareImgUrl;

}
