package com.studio.nx.yxl.controller.app.response.index;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/15 22:48
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class IndexKindergartenResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("封面图")
    private String cover;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("省")
    @TableField(value = "province")
    private String province;

    @ApiModelProperty("市")
    @TableField(value = "city")
    private String city;

    @ApiModelProperty("区")
    @TableField(value = "area")
    private String area;

    @ApiModelProperty("详细地址")
    @TableField(value = "address")
    private String address;

    @ApiModelProperty(value = "纬度")
    private double lng;

    @ApiModelProperty(value = "经度")
    private double lat;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty(value = "图片数量")
    private Integer picSum;

    @ApiModelProperty(value = "活动数量")
    private Integer activitySum;

}
