package com.studio.nx.yxl.controller.app.response.my;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/30 16:56
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class IntegralCashRecordResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("账号昵称")
    private String nickname;

    @ApiModelProperty("账号头像")
    private String avatarUrl;

    @ApiModelProperty("场景")
    private String scene;

    @ApiModelProperty("文案")
    private String displayText;

    @ApiModelProperty("类型（积分/现金）")
    private String type;

    @ApiModelProperty("数值（可正可负）")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal value;

    @ApiModelProperty("展示文案")
    private String showValue;

}
