package com.studio.nx.yxl.controller.app.response.my.applys;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/16 20:54
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenApplySaveResponse {

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("幼儿园名称")
    private String name;

    @ApiModelProperty("Logo")
    private String logo;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("封面")
    private List<String> coverList;

    @ApiModelProperty("类型(公办/民办)")
    private String type;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("区")
    private String area;

    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("营业执照")
    private String businessLicense;

    @ApiModelProperty("申请人手机号")
    private String personPhonenumber;

    @ApiModelProperty("申请人真实姓名")
    private String realName;

    @ApiModelProperty("申请人身份证")
    private String idCardNumber;

    @ApiModelProperty("申请人证件正面")
    private String idCardFront;

    @ApiModelProperty("申请人证件背面")
    private String idCardBack;

    @ApiModelProperty("申请人半身照")
    private String bodyPhoto;

    @ApiModelProperty("申请人邮箱")
    private String email;

    @ApiModelProperty("审核状态（1：审核通过、0：未审核、-1:审核失败）")
    private Integer auditStatus;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditDate;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
