package com.studio.nx.yxl.controller.app.response.my.applys;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/16 20:54
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoerApplySaveResponse {

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("申请人手机号码")
    private String phonenumber;

    @ApiModelProperty("申请人银行卡号")
    private String bankCardNumber;

    @ApiModelProperty("申请人身份证证件号码")
    private String idCardNumber;

    @ApiModelProperty("申请人身份证证件号码")
    private String idCardFront;

    @ApiModelProperty("申请人身份证背面")
    private String idCardBack;

    @ApiModelProperty("申请人半身照")
    private String bodyPhoto;

    @ApiModelProperty("申请人邮箱")
    private String email;

    @ApiModelProperty("常用相机型号")
    private String cameraModel;

    @ApiModelProperty("经常合作场景")
    private String cooperationScenario;

    @ApiModelProperty("每月可拍摄天数")
    private String shootingDaysPerMonth;

    @ApiModelProperty("可能拍摄时间")
    private String possibleShootingTime;

    @ApiModelProperty("个人拍摄经验")
    private String personalShootingExperience;

    @ApiModelProperty("作品集")
    private String sampleReels;

    @ApiModelProperty("审核状态（1：审核通过、0：未审核、-1:审核失败）")
    private Integer auditStatus;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditDate;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
