package com.studio.nx.yxl.controller.app.response.my.collection;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/22 11:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class TweetCollectionResponse {

    @ApiModelProperty("资讯标识")
    private String id;

    @ApiModelProperty("资讯名称")
    private String title;

    @ApiModelProperty("介绍")
    private String brief;

    @ApiModelProperty("图片")
    private String cover;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("详情页地址")
    private String link;

    @ApiModelProperty("分享-标题")
    private String shareTitle;

    @ApiModelProperty("分享-简介")
    private String shareDesc;

    @ApiModelProperty("分享-链接")
    private String shareLink;

    @ApiModelProperty("分享-小图")
    private String shareImgUrl;

}
