package com.studio.nx.yxl.controller.app.response.my.signin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/27 10:40
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CurrentSignInResponse {

    @ApiModelProperty("当前总积分")
    private Integer integralSum;

    @ApiModelProperty("当前年月")
    private String yearMonth;

    @ApiModelProperty("该周日期数组")
    private List<Integer> dayList;

    @ApiModelProperty("该周日期签到情况")
    private List<DayInfoResponse> weekInfo;

    @ApiModelProperty("每日任务")
    private List<EveryDayTaskResponse> everyDayTask;

    @ApiModelProperty("当天是否已签到")
    private Boolean isSignIn = Boolean.FALSE;

    @ApiModelProperty("连续签到天数")
    private Integer signInDays;

}
