package com.studio.nx.yxl.controller.app.response.order;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/28 15:06
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OrderItemResponse {

    @ApiModelProperty("订单项标识")
    private String id;

    @ApiModelProperty("订单项标识")
    private String orderId;

    @ApiModelProperty("照片库标识")
    private String photoWarehouseId;

    @ApiModelProperty("是否购买高清带logo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否购买原图")
    private Boolean isOriginPhoto;

    @ApiModelProperty("原价")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPrice;

    @ApiModelProperty("应付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal payablePrice;

}
