package com.studio.nx.yxl.controller.app.response.order;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/28 15:06
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class OrderResponse {

    @ApiModelProperty("订单标识")
    private String id;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("订单原价")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPrice;

    @ApiModelProperty("订单应付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal payablePrice;

    @ApiModelProperty("订单实付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal paidPrice;

    @ApiModelProperty("支付渠道（积分、微信、支付宝）")
    private String payChannels;

    @ApiModelProperty("订单状态")
    private Integer state;

    @ApiModelProperty("支付时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payEndTime;

    @ApiModelProperty("第三方平台支付标识")
    private String transactionId;

    @ApiModelProperty("订单折扣")
    private String discount;

    @ApiModelProperty("积分支付")
    private Integer integralPay;

    @ApiModelProperty("订单项")
    private List<OrderItemResponse> orderItemResponseList;

}
