package com.studio.nx.yxl.controller.app.response.photowall;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 16:01
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoInfoResponse {

    @ApiModelProperty("图片标识")
    private String id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("活动标识")
    private String activityId;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("创建人昵称")
    private String nickname;

    @ApiModelProperty("创建人姓名")
    private String realname;

    @ApiModelProperty("创建人头像")
    private String avatarUrl;

    @ApiModelProperty("是否点赞")
    private Boolean isLike;

    @ApiModelProperty("是否收藏")
    private Boolean isCollection;

    @ApiModelProperty("点赞数")
    private Integer likes;

    @ApiModelProperty("收藏数")
    private Integer collections;

    @ApiModelProperty("详情页预览图")
    private String detailPreview;

    @ApiModelProperty("会员专享价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal memberPrice;

    @ApiModelProperty("高清图积分")
    private Integer hdLogoPhotoIntegral;

    @ApiModelProperty("购物车是否已加入高清带logo")
    private Boolean isHdLogoPhotoCar;

    @ApiModelProperty("是否购买高清带logo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("高清带logo大小")
    private Long hdLogoPhotoSize;

    @ApiModelProperty("高清带logo价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal hdLogoPhotoPrice;

    @ApiModelProperty("高清带logo价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal hdLogoPhotoOriginPrice;

    @ApiModelProperty("购物车是否已加入购买原图")
    private Boolean isOriginPhotoCar;

    @ApiModelProperty("是否购买原图")
    private Boolean isOriginPhoto;

    @ApiModelProperty("原图大小")
    private Long originPhotoSize;

    @ApiModelProperty("原图原价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPhotoOriginPrice;

    @ApiModelProperty("原图价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPhotoPrice;

    @ApiModelProperty("是否处理成功（图片裂变）")
    private Boolean isReady;

}
