package com.studio.nx.yxl.controller.app.response.photowall.activity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;


/**
 * @Author 何锦枫
 * @Date 2021/6/20 18:31
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ActivityPhotoListResponse {

    @ApiModelProperty("图片id")
    private String id;

    @ApiModelProperty("幼儿园id")
    private String kindergartenId;

    @ApiModelProperty("活动id")
    private String activityId;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("列表预览图")
    private String listPreview;

    @ApiModelProperty("详情页预览图")
    private String detailPreview;

    @ApiModelProperty("拍照时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime photoTime;

    @ApiModelProperty("时间段")
    private String timeSlot;

}
