package com.studio.nx.yxl.controller.app.response.photowall.activity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Arrays;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/20 18:30
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ActivityResponse {

    @ApiModelProperty("活动标识")
    private String id;

    @ApiModelProperty("幼儿园标识")
    private String kindergartenId;

    @ApiModelProperty("活动名称")
    private String name;

    @ApiModelProperty("活动介绍")
    private String brief;

    @ApiModelProperty("封面图")
    private String cover;

    @ApiModelProperty("活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String eventStartDate;

    @ApiModelProperty("活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String eventEndDate;

    @ApiModelProperty("是否收藏")
    private Boolean isCollection;

    @ApiModelProperty("图片数量")
    private Integer picCount;

    @ApiModelProperty("日期列表")
    private List<ActivityDayListResponse> activityDayListResponseList;

    @ApiModelProperty("照片列表的时间段")
    private List<String> timeList = Arrays.asList("10点前", "10点-12点", "12点-14点", "14点后");

    @ApiModelProperty("照片列表")
    private List<ActivityPhotoListResponse> activityPhotoListResponseList;

    @ApiModelProperty("分享-标题")
    private String shareTitle;

    @ApiModelProperty("分享-简介")
    private String shareDesc;

    @ApiModelProperty("分享-链接")
    private String shareLink;

    @ApiModelProperty("分享-小图")
    private String shareImgUrl;

}
