package com.studio.nx.yxl.controller.app.response.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/16 14:58
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class IndexSearchInfoResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("标题")
    private String name;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("封面图")
    private String cover;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("类型（1：幼儿园，2：资讯，3：活动）")
    private Integer type;

    @ApiModelProperty("办公电话")
    private String phonenumber;

    @ApiModelProperty("图片数量，只有type类型为3时需要")
    private String picSum;

    @ApiModelProperty("详情页地址")
    private String link;

    @ApiModelProperty("分享-标题")
    private String shareTitle;

    @ApiModelProperty("分享-简介")
    private String shareDesc;

    @ApiModelProperty("分享-链接")
    private String shareLink;

    @ApiModelProperty("分享-小图")
    private String shareImgUrl;

}
