package com.studio.nx.yxl.controller.app.response.shoppingcar;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 21:16
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ShoppingCarResponse {

    @ApiModelProperty("购物车项标识")
    private String shoppingCarId;

    @ApiModelProperty("图片标识")
    private String photoWarehouseId;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("列表预览图")
    private String listPreview;

    @ApiModelProperty("图片价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal price;

    @ApiModelProperty("图片类型（1：高清带logo,2:原图）")
    private Integer photoType;

}
