package com.studio.nx.yxl.controller.app.response.shoppingcar;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 21:20
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ShoppingCarSelectDto {

    @ApiModelProperty("购物车项标识")
    private String shoppingCarId;

    @ApiModelProperty("图片标识")
    private String photoWarehouseId;

    @ApiModelProperty("列表预览图")
    private String listPreview;

    @ApiModelProperty("是否横图")
    private Boolean isHorizontal;

    @ApiModelProperty("是否高清带logo图")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否原图")
    private Boolean isOriginPhoto;

    @ApiModelProperty("高清带logo价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal hdLogoPhotoPrice;

    @ApiModelProperty("原图价格")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal originPhotoPrice;

}
