package com.studio.nx.yxl.controller.app.response.tweet;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/26 13:35
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class TweetListResponse {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("阅读数")
    private Long looks;

    @ApiModelProperty("点赞数")
    private Long likes;

    @ApiModelProperty("收藏数")
    private Long collections;

    @ApiModelProperty("详情页地址")
    private String link;

    @ApiModelProperty("分享-标题")
    private String shareTitle;

    @ApiModelProperty("分享-简介")
    private String shareDesc;

    @ApiModelProperty("分享-链接")
    private String shareLink;

    @ApiModelProperty("分享-小图")
    private String shareImgUrl;

}
