package com.studio.nx.yxl.controller.h5;

import com.studio.nx.framework.dto.resp.BaseResponse;
import com.studio.nx.framework.jwt.annotation.IgnoreAuth;
import com.studio.nx.yxl.service.TweetService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.NotBlank;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/6/19 21:27
 */
@Api(tags = "资讯")
@Slf4j
@Validated
@RestController("H5TweetController")
@RequestMapping("/h5/tweet")
public class TweetController {

    @Autowired
    private TweetService service;

    /**
     * 功能描述：查询[资讯]详情
     *
     * @return
     */
    @IgnoreAuth
    @ApiOperation(value = "查询[资讯]详情")
    @GetMapping("/{id:\\d+}")
    public ResponseEntity<BaseResponse<?>> findById(@NotBlank @PathVariable("id") String id) {
        return ResponseEntity.ok(BaseResponse.ok(service.findByIdInH5(id)));
    }

}
