package com.studio.nx.yxl.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/6/24 14:19
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ActivityDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("幼儿园标识")
    @NotEmpty
    private String kindergartenId;

    @ApiModelProperty("幼儿园名称")
    private String kindergartenName;

    @ApiModelProperty("活动介绍")
    @NotEmpty
    private String brief;

    @ApiModelProperty("活动名称")
    @NotEmpty
    private String name;

    @ApiModelProperty("封面图")
    @NotEmpty
    private String cover;

    @ApiModelProperty("活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventStartDate;

    @ApiModelProperty("活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime eventEndDate;

    @ApiModelProperty("预览图Logo")
    private String previewLogo;

    @ApiModelProperty("高清图Logo")
    private String hdLogo;

    @ApiModelProperty("排序（倒序）")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;

}
