package com.studio.nx.yxl.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;


/**
 * @Author 何锦枫
 * @Date 2021/6/19 22:52
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class KindergartenPhotoDto {

    @ApiModelProperty("幼儿园id")
    private String kindergartenId;

    @ApiModelProperty("拍照时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime photoTime;

    @ApiModelProperty("图片数量")
    private Integer picCount;

    @ApiModelProperty("列表预览图")
    private String listPreview;

    @ApiModelProperty("年月")
    private String yearMonth;

    @ApiModelProperty("年")
    private String year;

    @ApiModelProperty("月")
    private String month;

    @ApiModelProperty("几号")
    private String day;

    @ApiModelProperty("周几")
    private String weekDay;

}
