package com.studio.nx.yxl.dto;

import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author loki
 * @Date 2021/6/18 14:19
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class PhotoerDto extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    private String accountId;

    @ApiModelProperty("申请人手机号码")
    @NotEmpty
    private String phonenumber;

    @ApiModelProperty("渠道")
    private String channels;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核备注")
    private String auditMsg;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;

    @ApiModelProperty("账号名")
    private String accountName;

    @ApiModelProperty("真实姓名")
    private String realName;

}
