package com.studio.nx.yxl.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class TweetDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("标题")
    @NotEmpty
    private String title;

    @ApiModelProperty("作者")
    @NotEmpty
    private String author;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("简介")
    private String brief;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("阅读数")
    private Long looks;

    @ApiModelProperty("点赞数")
    private Long likes;

    @ApiModelProperty("收藏数")
    private Long collections;

    @ApiModelProperty("创建时间")
    private String createAt;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    private Boolean isShow;
}
