package com.studio.nx.yxl.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class VipLevelDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("等级名称")
    @NotEmpty
    private String name;

    @ApiModelProperty("年费")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    private BigDecimal yearPrice;

    @ApiModelProperty("月费")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    private BigDecimal monthPrice;

    @ApiModelProperty("商品优惠折扣")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    private BigDecimal sale;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    private Integer sort;

    @ApiModelProperty("是否启用")
    @NotNull
    private Boolean isEnable;
}
