package com.studio.nx.yxl.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class WithdrawalRecordDto {

    @ApiModelProperty("标识")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createAt;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    @ApiModelProperty("是否删除")
    private Boolean isDel;

    @ApiModelProperty("账号标识")
    private String accountId;

    @ApiModelProperty("申请人手机号码")
    private String phonenumber;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("第三方平台标识")
    private String transactionAccountId;

    @ApiModelProperty("渠道")
    private String channels;

    @ApiModelProperty("提现金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal value;

    @ApiModelProperty("剩余可提现金额")
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal availableValue;

    @ApiModelProperty("第三方支付标识")
    private String transactionId;

    @ApiModelProperty("审核人标识")
    private String auditAccountId;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime auditDate;

    @ApiModelProperty("审核备注")
    private String auditMsg;

}
