package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 14:47
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_activity")
public class Activity extends BaseEntity {

    @ApiModelProperty("幼儿园标识")
    @NotEmpty
    @TableField(value = "kindergarten_id")
    private String kindergartenId;

    @ApiModelProperty("活动名称")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("活动介绍")
    @TableField(value = "brief")
    private String brief;

    @ApiModelProperty("封面图")
    @TableField(value = "cover")
    private String cover;

    @ApiModelProperty("活动开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "event_start_date")
    private LocalDateTime eventStartDate;

    @ApiModelProperty("活动结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "event_end_date")
    private LocalDateTime eventEndDate;

    @ApiModelProperty("预览图Logo")
    @TableField(value = "preview_logo")
    private String previewLogo;

    @ApiModelProperty("高清图Logo")
    @TableField(value = "hd_logo")
    private String hdLogo;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;

}
