package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/5/27 13:49
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_banner")
public class Banner extends BaseEntity {

    @ApiModelProperty("标题")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("类型")
    @NotEmpty
    @TableField(value = "type")
    private String type;

    @ApiModelProperty("图片地址")
    @NotEmpty
    @TableField(value = "img_url")
    private String imgUrl;

    @ApiModelProperty("链接")
    @TableField(value = "link")
    private String link;

    @ApiModelProperty("扩展参数")
    @TableField(value = "params")
    private String params;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;

    /**
     * 需要补充到数据字典，进行页面过滤翻译
     */
    public static class Type {
        public static final String INDEX = "首页"; // 700 * 300
        public static final String MY_OPEN_MEMBERS = "我的 - 开通会员专享权益"; // 700 * 300
        public static final String MY_INTEGRAL_SIGN_IN = "我的 - 积分签到"; // 750 * 500

        public static final String INVITE_NEW = "邀请拉新 - 主页"; // 750 * 500
        public static final String INVITE_H5_REGISTER = "邀请拉新 - 注册页"; // 750 * 500

        public static final String MEMBERS_CENTER_INDEX = "会员中心 - 广告"; // 700 * 300
        public static final String MEMBERS_CENTER_RIGHTS_AND_INTERESTS = "会员中心 - 会员权益"; // 700 * 300
        public static final String MEMBERS_CENTER_WELFARE = "会员中心 - 会员福利"; // 700 * 300

        public static final String LAUNCH_APP_ADS = "启动应用广告"; // 可多个
        public static final String LOGIN_BACKGROUND = "登录页背景图/视频"; // 单个
        public static final String INVITE_SIGN_IN_POSTER = "邀请注册海报"; // 可多个

        public static final String FEEDBACK_QR_CODE = "问题反馈联系客服二维码"; // 问题反馈联系客服二维码
    }

}
