package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/5/27 13:49
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_collection_like")
public class CollectionLike extends BaseEntity {

    @ApiModelProperty("'账号标识'")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("对象类型（0：幼儿园、1：活动、2：资讯）")
    @NotNull
    @TableField(value = "channel")
    private Integer channel;

    @ApiModelProperty("操作类型（0：收藏、1：点赞）")
    @NotNull
    @TableField(value = "type")
    private Integer type;

    @ApiModelProperty("对象标识")
    @NotEmpty
    @TableField(value = "object_id")
    private String objectId;

    public static class Type {
        public static final Integer COLLECTION = 0; // 收藏
        public static final Integer LIKE = 1; // 点赞
    }

}
