package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/22 09:57
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_integral_cash_record")
public class IntegralCashRecord extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("场景")
    @NotEmpty
    @TableField(value = "scene")
    private String scene;

    @ApiModelProperty("展示文案")
    @NotEmpty
    @TableField(value = "display_text")
    private String displayText;

    @ApiModelProperty("类型（积分/现金）")
    @NotEmpty
    @TableField(value = "type")
    private String type;

    @ApiModelProperty("数值（可正可负）")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "value")
    private BigDecimal value;

    public static class Type {
        public static final String INTEGRAL = "积分";
        public static final String CASH = "现金";
    }

    public static class Scene {
        public static final String INTEGRAL_TO_SIGN_UP = "注册获得积分";
        public static final String INTEGRAL_INVITE_TO_SIGN_UP = "邀请拉新";
        public static final String INTEGRAL_SHARE_POINTS = "分享获得积分";
        public static final String INTEGRAL_LIKE_TO_POINTS = "点赞照片获得积分";
        public static final String INTEGRAL_POINTS_BY_LIKE = "被点赞照片获得积分";
        public static final String INTEGRAL_SIGN_IN_BY_DAY = "每日签到";
        public static final String INTEGRAL_SIGN_IN_BY_EVERY_DAY_POINTS = "连续签到";
        public static final String PAY_INTEGRAL = "支付积分";
        public static final String WITHDRAWAL_CASH = "提现现金";
        public static final String BUG_PHOTO_COMMISSION_CASH = "购买照片提成现金";
        public static final String BUG_PHOTO_COMMISSION_INTEGRAL = "购买照片提成积分";
    }

}
