package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_kindergarten")
public class Kindergarten extends BaseEntity {

    @ApiModelProperty("幼儿园名称")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("Logo")
    @TableField(value = "logo")
    private String logo;

    @ApiModelProperty("预览图Logo")
    @TableField(value = "preview_logo")
    private String previewLogo;

    @ApiModelProperty("高清图Logo")
    @TableField(value = "hd_logo")
    private String hdLogo;

    @ApiModelProperty("办公电话")
    @TableField(value = "phonenumber")
    private String phonenumber;

    @ApiModelProperty("简介")
    @TableField(value = "brief")
    private String brief;

    @ApiModelProperty("封面")
    @TableField(value = "cover")
    private String cover;

    @ApiModelProperty("类型(公办/民办)")
    @TableField(value = "type")
    private String type;

    @ApiModelProperty("省")
    @TableField(value = "province")
    private String province;

    @ApiModelProperty("市")
    @TableField(value = "city")
    private String city;

    @ApiModelProperty("区")
    @TableField(value = "area")
    private String area;

    @ApiModelProperty("详细地址")
    @TableField(value = "address")
    private String address;

    @ApiModelProperty("经度")
    @TableField(value = "lng")
    private Long lng;

    @ApiModelProperty("纬度")
    @TableField(value = "lat")
    private Long lat;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;

}
