package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/28 15:06
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_order_item")
public class OrderItem extends BaseEntity {

    @ApiModelProperty("订单标识")
    @NotEmpty
    @TableField(value = "order_id")
    private String orderId;

    @ApiModelProperty("照片库标识")
    @NotEmpty
    @TableField(value = "photo_warehouse_id")
    private String photoWarehouseId;

    @ApiModelProperty("是否购买高清带logo")
    @NotNull
    @TableField(value = "is_hd_logo_photo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否购买原图")
    @NotNull
    @TableField(value = "is_origin_photo")
    private Boolean isOriginPhoto;

    @ApiModelProperty("原价")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "origin_price")
    private BigDecimal originPrice;

    @ApiModelProperty("应付")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "payable_price")
    private BigDecimal payablePrice;

}
