package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：照片库账号记录
 *
 * @Author 梁展鹏
 * @Date 2021/6/14 19:52
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_photo_account_record")
public class PhotoAccountRecord extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("照片库标识")
    @NotEmpty
    @TableField(value = "photo_warehouse_id")
    private String photoWarehouseId;

    @ApiModelProperty("是否点赞")
    @TableField(value = "is_likes")
    private Boolean isLikes;

    @ApiModelProperty("是否收藏")
    @TableField(value = "is_collections")
    private Boolean isCollections;

    @ApiModelProperty("是否购买高清带logo")
    @TableField(value = "is_hd_logo_photo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否购买原图")
    @TableField(value = "is_origin_photo")
    private Boolean isOriginPhoto;

}
