package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：照片库账号获赞记录
 *
 * @Author 梁展鹏
 * @Date 2021/6/14 19:52
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_photo_get_like_record")
public class PhotoGetLikeRecord extends BaseEntity {

    @ApiModelProperty("账号标识")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("账号昵称")
    @NotEmpty
    @TableField(value = "account_nickname")
    private String accountNickname;

    @ApiModelProperty("照片库标识")
    @NotEmpty
    @TableField(value = "photo_warehouse_id")
    private String photoWarehouseId;

    @ApiModelProperty("照片作者标识")
    @NotEmpty
    @TableField(value = "origin_account_id")
    private String originAccountId;

}
