package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/26 17:22
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_shopping_car")
public class ShoppingCar extends BaseEntity {

    @ApiModelProperty("用户标识")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    @ApiModelProperty("图片库标识")
    @NotEmpty
    @TableField(value = "photo_warehouse_id")
    private String photoWarehouseId;

    @ApiModelProperty("是否购买高清带logo")
    @TableField(value = "is_hd_logo_photo")
    private Boolean isHdLogoPhoto;

    @ApiModelProperty("是否购买原图")
    @TableField(value = "is_origin_photo")
    private Boolean isOriginPhoto;

    public static class Type {
        public static final Integer HD_LOGO_PHOTO = 1; // 高清图
        public static final Integer ORIGIN_PHOTO = 2; // 原图
    }

}
