package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_tweet")
public class Tweet extends BaseEntity {

    @ApiModelProperty("标题")
    @NotEmpty
    @TableField(value = "title")
    private String title;

    @ApiModelProperty("作者")
    @TableField(value = "author")
    private String author;

    @ApiModelProperty("封面")
    @TableField(value = "cover")
    private String cover;

    @ApiModelProperty("简介")
    @TableField(value = "brief")
    private String brief;

    @ApiModelProperty("内容")
    @TableField(value = "content")
    private String content;

    @ApiModelProperty("阅读数")
    @TableField(value = "looks")
    private Long looks;

    @ApiModelProperty("点赞数")
    @TableField(value = "likes")
    private Long likes;

    @ApiModelProperty("收藏数")
    @TableField(value = "collections")
    private Long collections;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("显示/隐藏")
    @NotNull
    @TableField(value = "is_show")
    private Boolean isShow;

}
