package com.studio.nx.yxl.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.studio.nx.framework.config.json.BigDecimalSerialize;
import com.studio.nx.framework.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_vip_level")
public class VipLevel extends BaseEntity {

    @ApiModelProperty("等级名称")
    @NotEmpty
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("年费")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "year_price")
    private BigDecimal yearPrice;

    @ApiModelProperty("月费")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "month_price")
    private BigDecimal monthPrice;

    @ApiModelProperty("商品优惠折扣")
    @JsonSerialize(using = BigDecimalSerialize.class)
    @NotNull
    @TableField(value = "sale")
    private BigDecimal sale;

    @ApiModelProperty("排序（倒序）")
    @NotNull
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("是否启用")
    @NotNull
    @TableField(value = "is_enable")
    private Boolean isEnable;

}
