package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.app.response.my.collection.KindergartenCollectionResponse;
import com.studio.nx.yxl.controller.app.response.my.collection.TweetCollectionResponse;
import com.studio.nx.yxl.controller.app.response.photowall.activity.ActivityResponse;
import com.studio.nx.yxl.entity.CollectionLike;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 功能描述：
 *
 * @Author 何锦枫
 * @Date 2021/6/19 14:15
 */
@Mapper
@Repository
public interface CollectionLikeMapper extends BaseMapper<CollectionLike> {

    Integer countMyKindergartenCollection(String accountId);
    Integer countMyActivityCollection(String accountId);
    Integer countMyTweetCollection(String accountId);

    IPage<KindergartenCollectionResponse> findMyKindergartenCollection(@Param("accountId") String accountId, Page page);
    IPage<ActivityResponse> findMyActivityCollection(@Param("accountId") String accountId, Page page);
    IPage<TweetCollectionResponse> findMyTweetCollection(@Param("accountId") String accountId, Page page);

}
