package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.KindergartenItemResponse;
import com.studio.nx.yxl.controller.admin.response.KindergartenListResponse;
import com.studio.nx.yxl.controller.admin.search.KindergartenSearch;
import com.studio.nx.yxl.controller.app.request.index.KindergartenSearchRequest;
import com.studio.nx.yxl.controller.app.response.KindergartenInfoResponse;
import com.studio.nx.yxl.controller.app.response.index.IndexKindergartenResponse;
import com.studio.nx.yxl.controller.app.response.photowall.kindergarten.PhotoWallKindergartenResponse;
import com.studio.nx.yxl.controller.app.response.search.IndexSearchInfoResponse;
import com.studio.nx.yxl.entity.Kindergarten;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Loki
 * @date 2021/6/1 15:24
 */
@Mapper
@Repository
public interface KindergartenMapper extends BaseMapper<Kindergarten> {

    KindergartenItemResponse findByInfo(@Param("id") String id);

    IPage<KindergartenListResponse> adminPage(@Param("search") KindergartenSearch search, Page page);

    Integer adminCount(@Param("search") KindergartenSearch search);

    List<IndexKindergartenResponse> appPage(KindergartenSearchRequest dto);

    KindergartenInfoResponse appDetail(@Param("id") String id, @Param("accountId") String accountId);

    KindergartenInfoResponse h5Detail(@Param("id") String id);

    List<IndexSearchInfoResponse> findIndexSearchList(@Param("KeyWord") String KeyWord);

    IPage<PhotoWallKindergartenResponse> findPhotoWallKindergartenSearchList(@Param("name") String name, Page page);

}
