package com.studio.nx.yxl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.studio.nx.yxl.controller.admin.response.PhotoWarehouseResponse;
import com.studio.nx.yxl.controller.admin.search.PhotoWarehouseSearch;
import com.studio.nx.yxl.controller.app.response.photowall.PhotoInfoResponse;
import com.studio.nx.yxl.controller.app.response.photowall.PhotogalleryResponse;
import com.studio.nx.yxl.controller.app.response.photowall.activity.ActivityPhotoListResponse;
import com.studio.nx.yxl.controller.app.response.photowall.kindergarten.ChoicePhotoResponse;
import com.studio.nx.yxl.dto.KindergartenPhotoDto;
import com.studio.nx.yxl.entity.PhotoWarehouse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2021/6/11 17:01
 */
@Mapper
@Repository
public interface PhotoWarehouseMapper extends BaseMapper<PhotoWarehouse> {

    List<KindergartenPhotoDto> findKindergartenPhotoInfo(@Param("kindergartenId") String kindergartenId, @Param("type") Integer type);

    List<ChoicePhotoResponse> findPhotoByDay(String kindergartenId, String photoTime);

    List<ActivityPhotoListResponse> findActivityPhotoInfo(@Param("id") String id);

    List<PhotoWarehouse> findGroupByActivityId(String activityId);

    IPage<PhotoWarehouseResponse> adminPage(@Param("search") PhotoWarehouseSearch search, Page page);

    Integer adminCount(@Param("search") PhotoWarehouseSearch search);

    PhotoWarehouseResponse findAdminById(@Param("photoWarehouseId") String photoWarehouseId);

    IPage<PhotogalleryResponse> findMyPurchasePhotoList(@Param("accountId") String accountId, Page page);

    IPage<PhotogalleryResponse> findMyCollectionsPhotoList(@Param("accountId") String accountId, Page page);

    IPage<PhotogalleryResponse> findMyPhotoList(@Param("accountId") String accountId, Page page);

    PhotoInfoResponse findPhotoInfoById(@Param("id") String id, @Param("accountId") String accountId);

    IPage<PhotoWarehouse> beautifulPage(@Param("kindergartenId") String kindergartenId, Page page);

    void auditMulti(@Param("ids") List<String> ids, @Param("isShow") Boolean isShow, @Param("auditStatus") Integer auditStatus, @Param("auditMsg") String auditMsg);

}
