package com.studio.nx.yxl.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.studio.nx.yxl.entity.KindergartenInfo;
import com.studio.nx.yxl.mapper.KindergartenInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

/**
 * @author Loki
 * @date 2021/6/16 15:24
 */
@Slf4j
@Service
public class KindergartenInfoService {

    @Autowired
    private KindergartenInfoMapper mapper;

    public Optional<KindergartenInfo> findById(String id) {
        return Optional.ofNullable(mapper.selectById(id));
    }

    public Optional<KindergartenInfo> findByKindergartenId(String kindergartenid) {
        return Optional.ofNullable(mapper.selectOne(new LambdaQueryWrapper<KindergartenInfo>()
                        .eq(KindergartenInfo::getKindergartenId, kindergartenid)
                )
        );
    }

    public Optional<KindergartenInfo> findInfoByAccountId(String accountId) {
        return Optional.ofNullable(
                mapper.selectOne(new LambdaQueryWrapper<KindergartenInfo>()
                        .eq(KindergartenInfo::getAccountId, accountId)
                        .eq(KindergartenInfo::getIsDel, Boolean.FALSE)
                )
        );
    }

    public List<KindergartenInfo> findListByAccountId(String accountId) {
        return mapper.selectList(new LambdaQueryWrapper<KindergartenInfo>()
                .eq(KindergartenInfo::getAccountId, accountId)
                .eq(KindergartenInfo::getIsDel, Boolean.FALSE)
        );
    }

    public Optional<KindergartenInfo> findInfoByKindergartenId(String kindergartenId) {
        return Optional.ofNullable(
                mapper.selectOne(new LambdaQueryWrapper<KindergartenInfo>()
                        .eq(KindergartenInfo::getKindergartenId, kindergartenId)
                        .eq(KindergartenInfo::getIsDel, Boolean.FALSE)
                )
        );
    }

}
