package com.studio.nx.yxl.service;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class PhotoAccountRecordServiceTest {

    @Autowired
    private PhotoAccountRecordService service;

    private static final String accountId = "1401825572046675970";
    private static final String photoWarehouseId = "1404270123302748163";

    @Test
    void isLikes() {
        Boolean flag = service.isLikes(accountId, photoWarehouseId);
        log.info("是否点赞：[{}]", flag);
    }

    @Test
    void isCollections() {
        Boolean flag = service.isCollections(accountId, photoWarehouseId);
        log.info("是否收藏：[{}]", flag);
    }

    @Test
    void isHdLogoPhoto() {
        Boolean flag = service.isHdLogoPhoto(accountId, photoWarehouseId);
        log.info("是否购买高清：[{}]", flag);
    }

    @Test
    void isOriginPhoto() {
        Boolean flag = service.isOriginPhoto(accountId, photoWarehouseId);
        log.info("是否购买原图：[{}]", flag);
    }

    @Test
    void save() {
        service.save(accountId, photoWarehouseId);
    }

    @Test
    void setIsLikes() {
        service.setIsLikes(accountId, photoWarehouseId);
    }

    @Test
    void setIsCollections() {
        service.setIsCollections(accountId, photoWarehouseId);
    }

    @Test
    void setIsHdLogoPhoto() {
        service.setIsHdLogoPhoto(accountId, photoWarehouseId);
    }

    @Test
    void setIsOriginPhoto() {
        service.setIsOriginPhoto(accountId, photoWarehouseId);
    }
}
